BW_MEM_WR(8)

NAME
bw_mem_wr - time memory write rate (with overhead)

SYNOPSIS
bw_mem_wr size

DESCRIPTION
bw_mem_wr allocates the specified amount of memory, zeros it, and then times the writing of that memory as a series of 4 byte integer stores and increments.

The size specification may end with ``k'' or ``m'' to mean kilobytes (* 1024) or megabytes (* 1024 * 1024).

OUTPUT
Output format is "%0.2f %.2f\n", megabytes, megabytes_per_second, i.e.,

8.00 25.33

MEMORY UTILIZATION
This benchmark can move up to twice the requested memory. A processor store is usually implemented as a read cache line, modify the cache line, and store the cache line (now or later, depending on cache write back policy).

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).